#!/usr/bin/env ruby
require("gsl")

# Singular at x = 0
f = Function.new { |x| 1.0/Math::sqrt(x) }

puts("QAG")
p f.qag(0, 1)
p f.qag([0, 1])

p Integration.qag(f, 0, 1)
p Integration.qag(f, [0, 1])

